Skip to main content
GET
Movie

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

certification
string

Used to filter results based on the film's certification rating (e.g., PG, R) in conjunction with the region parameters.

certification.gte
string

Filters results that have a certification rating greater than or equal to the specified value. This is used in conjunction with the region.

certification.lte
string

Filters results that have a certification rating less than or equal to the specified value. This is used in conjunction with the region.

certification_country
string

Specifies the country to filter by the certification rating. It is used alongside certification, certification.gte, and certification.lte filters.

include_adult
enum<string>

This indicate whether the movie is an adult content.

Available options:
true,
false
Example:

false

include_video
enum<string>

Includes videos in the results if set to true. By default, this is set to false.

Available options:
true,
false
Example:

"false"

language
string

Specifies the language in which the response should be returned.

Example:

"en-US"

page
integer

Indicates which page of results to return. Default is the first page (1).

Example:

1

primary_relaase_year
integer

Filters results to only include those released in the specified year.

Example:

""

primary_release_date.gte
integer

Filters results to only include those released on or after the specified date.

Example:

""

primary_release_date.lte
string

Filters results to only include those released on or before the specified date.

Example:

""

region
string

This is the geographical area or country that can be used to filter results based on regional availability.

Example:

""

release_date.gte
string

Filters results to only include those released on or after the specified date.

Example:

""

release_date.lte
string

Filters results to only include those released on or before the specified date.

Example:

""

sorts_by
enum<string>

Defines the order in which results are sorted.

Available options:
orignal_title_asc,
original_title_desc,
popularity_asc,
popularity_desc,
revenue_asc,
revenue_desc,
prirmary_release_date.asc,
title_asc,
title_desc,
primary_release_date.desc,
vote_average.asc,
vote_average_desc,
vote_count.asc,
vote_count.desc
Example:

"popularity_desc"

vote_average.gte
number

Filters results to include those with an average vote greater than or equal to the specified value.

Example:

""

vote_average.lte
number

Filters results to include those with an average vote less than or equal to the specified value.

Example:

""

vote_count.gte
number

Filters results to include those with a vote count greater than or equal to the specified number.

Example:

""

vote_count.lte
number

Filters results to include those with a vote count less than or equal to the specified number.

Example:

""

watch_region
string

Specifies a region code for filtering results based on available watch providers or monetization types.

Example:

""

with_cast
string

Filters results to include films that have certain cast members. Can be a comma (for AND) or pipe (for OR) separated query.

Example:

""

with_companies
string

Filters results to include films produced by specific companies. Can also be a comma (for AND) or pipe (for OR) separated query.

Example:

""

with_crew
string

Filters results to include films that involve specific crew members (e.g., directors, writers). Can be a comma (for AND) or pipe (for OR) separated query.

Example:

""

with_genres
string

string Filters results by specified genres (e.g., action, comedy). Can be a comma (for AND) or pipe (for OR) separated query.

Example:

""

with_keyword
string

Filters results to include films associated with specific keywords. Can be a comma (for AND) or pipe (for OR) separated query.

Example:

""

with_origin_country
string

Filters results based on the country of origin of the film.

Example:

""

with_original_language
string

Filters results to include films in a specified original language.

Example:

""

with_people
string

Filters results to include names of specific people associated with the film (cast, crew). Can be a comma (for AND) or pipe (for OR) separated query.

Example:

""

with_release_type
integer

Filters results based on the release type (e.g., theatrical, digital). Possible values are; [1, 2, 3, 4, 5, 6]. Can be a comma (for AND) or pipe (for OR) query.

Example:

""

with-runtime.gte
integer

Filters results to include films with a runtime greater than or equal to the specified number of minutes.

Example:

""

with_runtime.lte
integer

Filters results to include films with a runtime less than or equal to the specified number of minutes.

Example:

""

with_watch_monetization
string

Filters results based on financial aspects of watching, including types like "flatrate," "free," "ads," "rent," or "buy."

Example:

""

with_watch_providers
string

Specifies which watch providers to filter by, such as Netflix or Hulu. Can be a comma (for AND) or pipe (for OR) separated query.

Example:

""

without_companies
string

results to exclude specified genres from the results.

Example:

""

without_keywords
string

Filters results to exclude specified keywords associated with the films.

Example:

""

without_watch_providers
string

Filters results to exclude films available on specified watch providers.

Example:

""

year
integer

This is used to filter results based on a specific year.

Example:

""

Response

200 - application/json

movie

page
number

The current page number of the results returned by the API.

Example:

1

results
object[]

An array containing objects, where each object represents a movie with various details.

Example:
total_pages
number

The total number of pages available for the results set, indicating how many pages of results can be retrieved.

Example:

47955

total_results
number

The total number of results (movies) found that match the search criteria specified in the API request.

Example:

959088